/*
*
*
* Navigation
*
* * * * * * * * * * * */

header,
header.showMenu {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 70px;
    z-index: 99999;

    -webkit-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    transition: all 0.5s ease;
}

  header .container {
    margin: 0 auto;
    padding: 0;
  }


.mobileOpen nav {
  display: block;
  height: 100%; 
  width: 50%; 
  position: fixed; 
  top: 0; 
  right: 0;
  z-index: 99999;
  background-color: #6c8767; 
  overflow-x: hidden; 
  -webkit-transition: all 0.3s ease;
  -o-transition: all 0.3s ease;
  -moz-transition: all 0.3s ease;
  transition: all 0.3s ease;

}

#close_panel {
    content: '';
    display: block;
          -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    transition: all 0.3s ease;
  }

  .mobileOpen #close_panel {
    content: '';
    display: block;
    position: fixed;
    top:0;left:0;
    background-color: rgba(0,0,0,0.5);
    width: 50%;
    height: 100%;
    z-index: 0;
      -webkit-transition: all 0.3s ease;
    -o-transition: all 0.3s ease;
    -moz-transition: all 0.3s ease;
    transition: all 0.3s ease;
  }




nav #menu_wrapper {
    display: none;
     height: 100%;
     margin: 0 0 0 100px;
     max-width: 680px;
}

.mobileOpen nav #menu_wrapper {
      display: block;
  }




nav ul li:before {
  content:'';
  display: none;
}

nav ul li {
  display: inline-block;
  position: relative;
  text-align: left;
  margin: 0;
  padding: 0;
}

/*  #featureLogo {
    transform: translateX(-50%) translateY(-50%);
    position: relative;
  }*/

#featureLogo img,
#homeLogo img {
    width: 175px;
    margin-top: 25px;
}


#menu {
display: flex;
flex-direction: column;
height: calc(90vh - 2rem);
overflow: scroll;
}

ul#main-menu-list {
      width: fit-content;
      padding: 0 0 40px 0;
      margin: 100px 0 0 0;
      border-bottom: solid 1px rgba(255,255,255,0.5);
  }


ul#main-menu-list > li {
    display: block;
  }


ul#main-menu-list > li a {
    color: #fff;
    font-size: 2.5rem;
    margin: 0;
    padding: 0.5rem 0.5rem 0.5rem 0;
    text-decoration: none;
  }



  /* Rollover Arrow */


  nav ul li a {
  text-decoration: none;
  position: relative;
}

nav ul li a:after {
    content: "";
    position: absolute;
    width: 2rem;
    height: 1.25rem;
    top: 1.75rem;
    right: -2rem;
    background-image: url(../img/link_arrow.svg);
    background-size: contain;
    background-position: bottom right;
    background-repeat: no-repeat;
    visibility: hidden;
}

nav ul li a:hover:after {
  visibility: visible;
}

nav ul#main-sub-menu-list li a:after {
  width: 1rem;
    height: 1rem;
    top: 1rem;
    right: -1rem;
}



/* SUb List */

 ul#main-sub-menu-list {
      width: fit-content;
      padding: 0;
      margin: 2rem 0 0 0;
  }

  ul#main-sub-menu-list > li {
    display: block;
  }


ul#main-sub-menu-list > li a {
    color: #fff;
    font-size: 1.5rem;
    margin: 0;
    padding: 0.5rem 0.5rem 0.6rem 0;
    text-decoration: none;
  }


  #contact_wrapper {
/*    flex-grow: 1;
    display: inline-block;
    justify-self: flex-end;*/
    margin-top: auto;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    max-width: 80%;
  }

  #contact_wrapper a {
    display: block;
    text-decoration: none;
    line-height: 1.5;
    margin: 0;
    padding: 0;
    color: #fff;
  }

  #contact_wrapper a:hover {
    text-decoration: underline;
  }

  #contact_wrapper a:after,
  .social-links ul li a:after,
  .social-links ul li a:hover:after {
    display: none!important;
  }

  .social-links ul li {
    display: block;
  }



/* Rollover Lines */

/*nav ul li a:before {
  content: "";
  position: absolute;
  width: 100%;
  height: 1px;
  bottom: -3px;
  left: 0;
  background-color: #000000;
  visibility: hidden;
}

nav ul li.current-menu-item a:before,
nav ul li.current-menu-parent a:before {
  visibility: visible;
}

nav ul li a:hover:before {
  visibility: visible;
}

header.menuTop ul li a:before   {
  background-color: #fff;
}




nav ul#main-menu-list li.current-menu-item ul.nav-dropdown li a:before {
    visibility: hidden;
    -webkit-transform: scaleX(0);
  transform: scaleX(0);
  -webkit-transition: all 0.3s ease-in-out 0s;
  transition: all 0.3s ease-in-out 0s;
  background-color: #000000;
}

nav ul#main-menu-list li.current-menu-item ul.nav-dropdown li a:hover:before {
    visibility: visible;
  -webkit-transform: scaleX(1);
  transform: scaleX(1);
    transition: all 0.3s ease-in-out 0s;
}

*/

        



/* Menu Top Styles */


header.menuTop {
   background-color: rgba(0,0,0,0);
}

header.menuTop::after {
   display: none;
}

header.menuTop ul li a:before {
  background-color: #fff;
}

header.menuTop ul#main-menu-list li ul.nav-dropdown li a {
    color: #fff;
  }



/* Hide Menu on Scroll */

header.hideMenu {
  top: -70px;
    -webkit-transition: all 0.5s ease;
  -o-transition: all 0.5s ease;
  -moz-transition: all 0.5s ease;
  transition: all 0.5s ease;
}

header.hideMenu ul#main-menu-list > li > ul.nav-dropdown {
  visibility: hidden;
  opacity: 0;
}







/* Full Menu */



  #menu_logo img {
    height: 90px;
    width: auto;
    float: right;
    margin: 30px 10%;
  }

  #navPhone {
    display: inline-block;
    float: left;
    margin: 30px 0;
  }

  #navPhone a {
    font-size: 0.85rem;
    color: #adeded;
    text-decoration: none;
    background-color: transparent;
    border: solid #adeded 1px;
    border-radius: 1.1rem;
    padding: 0.5rem 1rem;
    cursor: pointer;
  }

  #icon_menu {
    display: inline-block;
    color: #adeded;
    margin: 30px 0;
    cursor: pointer;
    float: right;
  }

  #menu-icon-m {
    height: 12px;
    width: auto;
  }

   #icon_menu div:first-child {
    display: block;
  }
  #icon_menu div:last-child {
    display: none;
    height: 10px;
    width: auto;
  }

  #icon_menu_close {
    display: none;
    margin: 30px 30px 30px 0;
    color: #adeded;
    height: auto;
    cursor: pointer;
  }

  .mobileOpen #icon_menu_close {
    display: inline-block;
}


  .body_fixed {
    overflow: hidden;
    position: fixed;
  }




/* Mobile Nav Panel Open */




  /* Main Menu */












  



  /* Dropdown Menu */
  .mobileOpen ul#main-menu-list > li > ul{
    display: none;
    position: relative;
    padding: 0 0 5px 0;
    margin: 0 0 10px 0;

    background-color: transparent;
    -webkit-box-shadow:none;
            box-shadow:none;
    visibility: visible;
    opacity: 1;
    -webkit-transition: none;
    -o-transition: none;
    transition: none;
    
  }

  .mobileOpen ul#main-menu-list li ul.nav-dropdown li{
    display: block;
    width: 100%;
    margin: 0;
    padding-left: 0;
  }

  .mobileOpen ul li {
     text-align: center; 
}

  .mobileOpen ul#main-menu-list li ul.nav-dropdown li a{
    color: #fff;
    font-style: normal;
    padding: 10px 0;
    font-size: 1.25rem;
  }

  .mobileOpen li.nav-item-dropdown a:before {
    display :none;
  }

  .mobileOpen ul#main-menu-list li.btn_border a {
    margin-top: 1.5rem;
    padding: 0.7rem 2.7rem;
}







/* Desktop Menu open */





/*.mobileOpen ul#main-menu-list > li,
.mobileOpen ul#main-sub-menu-list > li {
     display: block; 
     padding: 0;
}*/


.mobileOpen ul#main-menu-list li ul.nav-dropdown li a {
  font-size: 1rem;
}


ul#main-menu-list > li {
  text-align: left;
}

.mobileOpen ul li {
    text-align: left;
}

.mobileOpen ul#main-menu-list > li > ul {
  display: block;
  position: static;
}

.mobileOpen ul#main-menu-list > li.nav-item-dropdown>a:after,
.mobileOpen ul#main-menu-list > li.nav-item-dropdown span {
  display: none;
}




@media screen and (max-width: 1024px) {


      #featureLogo img, #homeLogo img {
        width: 130px;
        margin-top: 32px;
    }

  #icon_menu {
    margin: 30px 0 0 0
  }

  .mobileOpen nav {
    width: 100%;
  }

  #menu {
    width: calc(100% - 3rem);
  }
  
 .mobileOpen #close_panel {
    display: none;
  }

  nav #menu_wrapper {
    margin: 0px 0 0 3rem;
  }

 #icon_menu div:first-child {
    display: none;
  }
  #icon_menu div:last-child {
    display: block;
  }


  header .container {
    text-align: left;
  }


    #navPhone {
      display: none;
      float: right;
      margin: 30px 0;
      margin-right: 20px;
  }

  #menu {
    height: calc(90vh - 4rem);
  }

  ul#main-menu-list {
    margin: 2rem 0 0 0;
  }

  #contact_wrapper {
    margin: auto 0 1rem 0;
  }


}


